Loading...
Searching...
No Matches
Magick::DrawableStrokeLineJoin Class Reference
Inheritance diagram for Magick::DrawableStrokeLineJoin:

## Public Member Functions

| DrawableStrokeLineJoin (LineJoin linejoin_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | linejoin (LineJoin linejoin_)
LineJoin | linejoin (void) const

## Private Attributes

LineJoin | _linejoin

## Detailed Description

Definition at line 1801 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeLineJoin()

Magick::DrawableStrokeLineJoin::DrawableStrokeLineJoin | ( | LineJoin | linejoin_ | ) |

inline

Definition at line 1804 of file Drawable.h.

: _linejoin(linejoin_)
{ }

## ~DrawableStrokeLineJoin()

Magick::DrawableStrokeLineJoin::~DrawableStrokeLineJoin | ( | void |  | ) |

Definition at line 1299 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeLineJoin::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1307 of file Drawable.cpp.

{
return new DrawableStrokeLineJoin(*this);
}

## linejoin() [1/2]

void Magick::DrawableStrokeLineJoin::linejoin | ( | LineJoin | linejoin_ | ) |

inline

Definition at line 1816 of file Drawable.h.

{
_linejoin = linejoin_;
}

## linejoin() [2/2]

LineJoin Magick::DrawableStrokeLineJoin::linejoin | ( | void |  | ) | const

inline

Definition at line 1820 of file Drawable.h.

{
return _linejoin;
}

## operator()()

void Magick::DrawableStrokeLineJoin::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1302 of file Drawable.cpp.

{
DrawSetStrokeLineJoin( context_, _linejoin );
}

## Field Documentation

## _linejoin

LineJoin Magick::DrawableStrokeLineJoin::_linejoin

private

Definition at line 1826 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp